[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] Another XFS + LVM2 snapshots problems



On Sat, Apr 22, 2006 at 09:56:44PM +0200, Luca Berra wrote:
> is there a documented compatibility matrix between dm driver version and
> device-mapper library version?
 
The general rule is that the version of libdevmapper should be at
least as new as the latest one available at the time when the upstream
kernel you're using was released.  And lvm2 should normally be at
least as new as libdevmapper.

In brief, new libdevmappers will normally work with older kernels, but
new kernels won't necessarily work with older libdevmappers, though
incompatibilities are rare.  When possible, we add support for kernel
changes to the userspace tools some time before the features
themselves hit the upstream kernel to allow time for the new tools to
propagate.  (A current example is dm mirror block_on_error support.)

Alasdair
-- 
agk redhat com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]